#!/bin/bash
_WPpath="/opt/WateringPi"

# reset on bootup
# build file
cat $_WPpath/config-templates/wpa_supplicant.conf | sed 's/#SSID#/YOUR_SSID/' | sed 's/#PSK#/1234567890/' > $_WPpath/change-on-bootup/etc_wpa_supplicant_wpa_supplicant.conf
cat $_WPpath/config-templates/hostapd.conf | sed 's/#SSID#/WateringPi/' | sed 's/#PSK#/1234567890/' | sed 's/#CHANNEL#/6/' | sed 's/#DRIVER#/nl80211/' > $_WPpath/change-on-bootup/etc_hostapd_hostapd.conf

# reboot after moving the files
echo "reboot to start reset..."
reboot

