#!/bin/bash
_WPpath="/opt/WateringPi"

# change on startup
_FILESCOUNTER=`cd $_WPpath/change-on-startup/ &&  ls * 2>&1 | grep -v cannot | wc | awk '{ print $1 }'`
if [ $_FILESCOUNTER != "0" ]; then
	for _FILENAME in $(ls -d $_WPpath/change-on-startup/* | xargs -n 1 basename);
	do
	# build filename
	_TARGET=`echo $_FILENAME | sed 's/_/\//g' | sed 's/wpa\/supplicant/wpa_supplicant/g'`
	# move files
	mv $_WPpath/change-on-startup/$_FILENAME /$_TARGET
	chmod a+x /$_TARGET
	done
	# reboot after moving the files
	echo "reboot to apply changes..." >/dev/tty1
	reboot
fi

# normal bootup
_NEWPW=`openssl rand -base64 8`
echo "pi:$_NEWPW" | chpasswd
echo "Password for user 'pi' is: $_NEWPW"  >/dev/tty1
echo -n > /tmp/h2o.log && chmod a+rwx /tmp/h2o.log && chown www-data:www-data /tmp/h2o.log

$_WPpath/script/h2o-watchdog &