<?php
// check if everything is running
$cmd='ps -ax | grep h2o | grep -v grep';
exec ($cmd, $output);
$running_server=false;
$running_server=false;
foreach ($output as $line) {
	if (strpos($line, 'h2o-server') !== false) {
		$running_server=true;
	}
	if (strpos($line, 'h2o-watchdog') !== false) {
		$running_watchdog=true;
	}
}

// Actions
if (isset($_GET['action'])) {
	if ($_GET['action']=='stop')
		$cmd_output=exec($h2o_control_cmd." -c 0");
	else
		$cmd_output=exec($h2o_control_cmd." -c ".$_GET['channel']);
	if (strpos($cmd_output, 'already') !== false) {
		$error_message="Bewässerung bereits im Gange.";
	}

}
	
$status_array=array();	
sleep(1); //+-1sec diff between JavaScript & System
$cmd_output=exec($h2o_control_cmd." -s");
foreach (explode(";", $cmd_output) as $status_item) {
	$item =explode("=", $status_item);
	if ($item[0]!='STATUS')
		$status_array[$item[0]]=$item[1];	
}

?>

<table cellpadding="5" cellspacing="0" border="0">
<tr>
	<td align="right"><b>Bewässerung:</b></td>
	<td>
		<?php
		if ($status_array['CHANNEL']!=0) {
		?>
			<script>
			// Set the date we're counting down to
			//var countDownDate = new Date("Feb 18, 2017 23:20:25").getTime();
			var firstrun = 1;

			// Update the count down every 1 second
			var x = setInterval(function() {

			  // Get todays date and time
			  var now = new Date().getTime();

			  // Find the distance between now an the count down date
			  //var distance = countDownDate - now;
			  var distance = <?php echo ($status_array['STARTTIME']+(60*$status_array['RUNTIME']))* 1000; ?> - now;
			  
			  // Time calculations for days, hours, minutes and seconds
			  var days = Math.floor(distance / (1000 * 60 * 60 * 24));
			  var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
			  var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
			  var seconds = Math.floor((distance % (1000 * 60)) / 1000);
			  // Display the result in the element with id="demo"
			  var timer ='';
			  if (days > 0) { timer = days + "Tage "; }
			  if (hours > 0) { timer = timer + hours + "Std. "; }
			  if (minutes > 0) { timer = timer + minutes + "Min. "; }
			  if (seconds > 0) { timer = timer + seconds + "Sek. "; }
			  
			  //document.getElementById("runtime").innerHTML = days + "d " + hours + "h "  + minutes + "m " + seconds + "s ";
			  //document.getElementById("runtime").innerHTML = "Kanal <?php echo $status_array['CHANNEL']; ?> für weitere " + timer;
			  document.getElementById("runtime").innerHTML = "Kanal <?php echo $status_array['CHANNEL']; ?> &#x2192; " + timer;

			  // If the count down is finished, write some text 
			  if (distance < 0) {
				  if (firstrun == 0) {
					clearInterval(x);
					window.location.reload(true);
					//location.reload(true);
				  }
				//
				document.getElementById("runtime").innerHTML = "-";
				exit;
			  }
			  firstrun = 0;
			}, 1000);
			</script>
			<?php

				echo '<span id="runtime"></span>';
			}
			else 
				echo '-';
			?>
	</td>
<tr>
<?php
if ($settings_array['dht_sensor_enable'] == 1) {
	echo '</tr><td align="right"><b>Außentemperatur:</b></td><td>-</td>';
}
?>
<tr>
	<td align="right"><b>Server Status:</b></td>
	<td>
	<?php
	if ($running_server) echo "running";
	else "-";
	?>
	</td>
</tr>
<tr>
	<td align="right"><b>Watchdog Status:</b></td>
	<td>
	<?php
	if ($running_watchdog) echo "running";
	else "-";
	?>
	</td>
</tr>
</table>
<br>
<p><b>Manuelle Steuerung der Kanäle:</b></p>
<table border="0" cellspacing="0" cellpadding="5">
	<tr>
		<td><span class="wateringbutton stop"><a href="?page=dashboard&action=stop">AUS</a></span></td><td>Bewässerung ausschalten</td>
	</tr>
<?php
	for ($channels_count=1; $channels_count<=(sizeof($channels_array)); $channels_count++) {
		echo '
		<tr>
			<td align="right"><span class="wateringbutton"><a href="?page=dashboard&action=start&channel='.$channels_count.'">'.$channels_count.'</a></span></td><td>'.$channels_array[$channels_count].'</td>
		</tr>';
	}
?>	
</table>
<?php
if ($error_message!='')
	echo '<br><span class="error-message">'.$error_message.'</span>';
?>





