<h2>Einstellung &#x2192; Bewässerung</h2>
<?php
$ro_settings=array(
		'i2c_addr_button_input',
		'i2c_addr_relais_output',
		'gpio_pin_keepalive',
		'gpio_pin_mcp_reset',
		'gpio_pin_mcp_interrupt',
		'gpio_pin_deactivate',
		'logfile'

);
$rw_settings=array(
		'default_runtime',
		'cleanup_time',
		'debug_level',
		'board_version'
);
$message='';

if (isset($_POST['update'])) {
	$handle = fopen ($config_filename, w);
	if ($handle) {
		foreach ($settings_array as $setting_key => $setting_value) {
			if (isset($_POST[$setting_key])) {
				fwrite ($handle, $setting_key."=".$_POST[$setting_key]."\n");
				$settings_array[$setting_key]=$_POST[$setting_key];
			}
			else
				fwrite ($handle, $setting_key."=".$setting_value."\n");
		}
		fclose ($handle);
		$message='Einstellungen gespeichert.';
		exec($h2o_control_cmd." -reload-config".$addition_h2o_control_parameter);
	}
	else
		$message='Fehler beim schreiben der Config Datei.';
}
?>
<form method="post">
<table border="0" cellspacing="5" cellpadding="0">
<?php
for ($settings_count=0; $settings_count<=(sizeof($ro_settings)-1); $settings_count++) {
	echo '<tr>
		<td>'.$ro_settings[$settings_count].'</td>
		<td>=</td>
		<td>';
	if (startsWith($ro_settings[$settings_count], 'gpio'))
		echo 'GPIO#';
	echo $settings_array[$ro_settings[$settings_count]];
	echo '</td>';
}

echo '<tr><td></td><td></td><td></td>';
for ($settings_count=0; $settings_count<=(sizeof($rw_settings)-1); $settings_count++) {
	echo '<tr>
		<td>'.$rw_settings[$settings_count].'</td>
		<td>=</td>
		<td>';
	if (startsWith($rw_settings[$settings_count], 'gpio'))
		echo 'GPIO#';
	echo '<input type="text" name="'.$rw_settings[$settings_count].'" value="'.$settings_array[$rw_settings[$settings_count]].'" size="2" maxlength="6">';
	echo '</td>';
}
?>
</table>
<br>
<input type="submit" name="update" value="aktualisieren">
</form>
<?php
echo '<br><span class="success-message">'.$message.'</span><br>';
echo '<br>';
echo '<br>';
echo '<b>Beschreibung:</b><br><br>';
echo "<table border='0' cellspacing='0' cellpadding='5'>
<tr valign='top'>
	<td align='right'>default_runtime</td>
	<td>=</td>
	<td align='left'>Laufzeit (in Min.) wenn per Hand ein Kanal ausgewählt wird.</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<tr valign='top'>
	<td align='right'>cleanup_time</td>
	<td>=</td>
	<td align='left'>Nach wieviel Zeit (in Min.) soll das Programm selbstständig neustarten werden, um belegte Speicherbereiche aufzuräumen. <br>
		Ein Neustart wird erst nach einer laudenden Bewässerung durchgeführt.</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<tr valign='top'>
	<td align='right'>debug_level</td>
	<td>=</td>
	<td align='left'>Je nach Level (0-7) werden mehr Informationen zur Analyse ins Logfile geschrieben.</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<tr valign='top'>
	<td align='right'>board_version</td>
	<td>=</td>
	<td align='left'>Welche Platinen Version benutzt wird.</td>
</tr>
	</table>";
/*
echo "<pre>";
var_dump($settings_array);
echo "</pre>";
*/
?>