<?php

//###+++++++++++++++++++++++++++++### Benchmark ###+++++++++++++++++++++++++++++++++++++++###

function benchmark_time()
{
  list($usec, $sec) = explode(" ", microtime());
  return ((float)$usec + (float)$sec);
}
$benchmark_begin = benchmark_time();

//###++++++++++++++++++++++++++++++### After/Before/Between ###++++++++++++++++++++++++++++++++++++++++###

function after ($this, $inthat)
{
if (!is_bool(strpos($inthat, $this)))
return substr($inthat, strpos($inthat,$this)+strlen($this));
};

function before ($this, $inthat)
{ return substr($inthat, 0, strpos($inthat, $this)); };

function between ($this, $that, $inthat)
{ return before($that, after($this, $inthat)); };

//###++++++++++++++++++++++++++++++### Age Calculator ###++++++++++++++++++++++++++++++++++++++++###

function age($bday_test)
{
$day_now    = date("d");
$month_now  = date("m");
$year_now   = date("Y");

$day_test   = before('.', $bday_test);
$rest_test  = after('.',  $bday_test);
$month_test = before('.', $rest_test);
$year_test  = after('.',  $rest_test);

$year_now_diff = $year_now - $year_test;
if ($month_now >= $month_test)
    $age_bday = $year_now_diff ;
if ($month_now <= $month_test)
    $age_bday = $year_now_diff -1;
if ($month_now == $month_test)
    {
      if ($day_now >= $day_test)
         $age_bday=$year_now_diff;
          if ($day_now == $day_test)
             $age_bday=$year_now_diff;
          if ($day_now <= $day_test)
             $age_bday = $year_now_diff - 1;
    }

return $age_bday;
};

//###++++++++++++++++++++++++++++++### Generate Random Keys ###++++++++++++++++++++++++++++++++++++++++###

function generate_random($generate_random_mode, $generate_random_length)
{
srand();
$generate_random_output = '';
if (($generate_random_mode != 'num') and ($generate_random_mode != 'char_down') and ($generate_random_mode != 'char_up') and
        ($generate_random_mode != 'mix'))
     $generate_random_mode = 'num';
if (($generate_random_length >= 2049) and ($generate_random_length <= 0))
     $generate_random_length = 10;

for ($generate_random_length_counter = 1; $generate_random_length_counter <= $generate_random_length;)
     {
           $generate_random_mode_select = rand(1,99);
           $generate_random_mode_selected = 'none';
       $generate_random_pickup = 'no';
           for (; $generate_random_pickup == 'yes';);
               {

            $generate_random_mode_select_counter = 1;
            while ($generate_random_mode_select_counter <= 100)
                                 {
                             if ($generate_random_mode_select_counter == $generate_random_mode_select)
                                    {

                    if (($generate_random_mode == 'num')  or ($generate_random_mode == 'mix'))
                         {
                               $generate_random_mode_temp = rand(1,10);
                                           if ($generate_random_mode_temp == 10)
                                                      $generate_random_output = $generate_random_output.'0';
                                              else
                                                          $generate_random_output = $generate_random_output.$generate_random_mode_temp;
                                              $generate_random_pickup = 'yes';
                              $generate_random_length_counter++;
                                         }
                                         else
                                         {
                                         $generate_random_pickup = 'no';
                                         }
                                        }
                       $generate_random_mode_select_counter = $generate_random_mode_select_counter + 3;
                             }

            $generate_random_mode_select_counter = 2;
            while ($generate_random_mode_select_counter <= 101)
                                 {
                             if ($generate_random_mode_select_counter == $generate_random_mode_select)
                                    {

                    if (($generate_random_mode == 'char_down')  or ($generate_random_mode == 'mix'))
                         {
                              $generate_random_output = $generate_random_output.chr(rand('1','26')+96);
                                              $generate_random_pickup = 'yes';
                              $generate_random_length_counter++;
                                         }
                                         else
                                         {
                                         $generate_random_pickup = 'no';
                                         }
                                        }
                       $generate_random_mode_select_counter = $generate_random_mode_select_counter + 3;
                             }

            $generate_random_mode_select_counter = 3;
            while ($generate_random_mode_select_counter <= 102)
                                 {
                             if ($generate_random_mode_select_counter == $generate_random_mode_select)
                                    {

                    if (($generate_random_mode == 'char_up')  or ($generate_random_mode == 'mix'))
                         {
                              $generate_random_output = $generate_random_output.chr(rand('1','26')+64);
                                              $generate_random_pickup = 'yes';
                              $generate_random_length_counter++;
                                         }
                                         else
                                         {
                                         $generate_random_pickup = 'no';
                                         }
                                        }
                       $generate_random_mode_select_counter = $generate_random_mode_select_counter + 3;
                             }

             if ($generate_random_pickup == 'no')
               {
           $generate_random_mode_select = rand('1','99');
                   }
           }
        }

return $generate_random_output;
};

//###++++++++++++++++++++++++++++++###  ###++++++++++++++++++++++++++++++++++++++++###
function startsWith($haystack, $needle)
{
     $length = strlen($needle);
     return (substr($haystack, 0, $length) === $needle);
}

function endsWith($haystack, $needle)
{
    $length = strlen($needle);
    if ($length == 0) {
        return true;
    }

    return (substr($haystack, -$length) === $needle);
}

function read_config_file($filename) {
	$config_array=array();
	if (file_exists($filename)) {
		$handle = fopen($filename, "r");
		if ($handle) {
			while (($line = fgets($handle)) !== false) {
				// process the line read.
				//echo $line."<br>";
				if (($line[0]!='#') AND ($line!='')) {
					$config_array_line=explode("=", str_replace("\n", "", $line));
					$config_array[$config_array_line[0]]=$config_array_line[1];
				}
			}
			fclose($handle);
		} else {
			// error opening the file.
		} 
	}
	else
		echo "Error opening config file"; 
	return $config_array;
}

function read_channels_file($filename) {
	$channels_array=array();
	if (file_exists($filename)) {
		$handle = fopen($filename, "r");
		if ($handle) {
			while (($line = fgets($handle)) !== false) {
				// process the line read.
				//echo $line."<br>";
				if (($line[0]!='#') AND ($line!='')) {
					$channels_array_line=explode("=", str_replace("\n", "", $line));
					$channels_array[$channels_array_line[0]]=$channels_array_line[1];
				}
			}
			fclose($handle);
		} else {
			// error opening the file.
		} 
	}
	else
		echo "Error opening config file";
	return $channels_array;
}

################################
####### String Functions #######
function cut_after_last_char($string, $char){
	$cut_pos = strripos($string, $char);
	$cutted_string = substr(substr($string, 0 , (0 - ((strlen($string) - $cut_pos) - 1))), 0, -1);
	return $cutted_string;
}

function cut_before_last_char($string, $char){
	$cut_pos = strripos($string, $char);
	$cutted_string = substr($string, ($cut_pos+1) );
	return $cutted_string;
}
?>